package com.dev.swms.server.model.interfaceLog;

import java.util.Date;

import com.dev.energy.server.model.DomainModel;

public class AvaliableOrderResponse extends DomainModel {
	/** 客户编码 */
	private String customer;
	/** oms/tms订单号 */
	private String omsCode;
	/** wms订单号 */
	private String wmsCode;
	/** 业务类型 */
	private String type;
	/** 接收时间 */
	private Date receiveTime;
	
	protected AvaliableOrderResponse() {
		
	}
	
	public AvaliableOrderResponse(String customer, String type, String omsCode,
			String wmsCode,  Date receiveTime) {
		this.customer = customer;
		this.type = type;
		this.omsCode = omsCode;
		this.wmsCode = wmsCode;
		this.receiveTime = receiveTime;
	}
	
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getCustomer() {
		return customer;
	}
	public void setCustomer(String customer) {
		this.customer = customer;
	}
	public String getOmsCode() {
		return omsCode;
	}
	public void setOmsCode(String omsCode) {
		this.omsCode = omsCode;
	}
	public String getWmsCode() {
		return wmsCode;
	}
	public void setWmsCode(String wmsCode) {
		this.wmsCode = wmsCode;
	}
	public Date getReceiveTime() {
		return receiveTime;
	}
	public void setReceiveTime(Date receiveTime) {
		this.receiveTime = receiveTime;
	}
	
}
